Get Team's Personal Pages
curl --request GET \
--url https://api.crowdchange.dev/v2/private/user/fundraiser/{id}/team/{teamId}/personal-pages \
--header 'Authorization: <api-key>'import requests
url = "https://api.crowdchange.dev/v2/private/user/fundraiser/{id}/team/{teamId}/personal-pages"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.crowdchange.dev/v2/private/user/fundraiser/{id}/team/{teamId}/personal-pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 1,
"name": "John Snow",
"description": "Personal page description",
"image": "1eaf5ab2-5d55-11ee-82ef-001c42584fa2",
"amount_goal": 1000,
"amount_raised": 550,
"amount_raised_formatted": "$550",
"url": "https://demo.crowdchange.dev/2/page/1",
"language": "en",
"is_default_image": false,
"is_default_description": false,
"images": {
"original": "https://img.crowdchange.co/files/abc.png?tr=w-[width],h-[height]"
},
"team": {
"id": 1,
"name": "Gala Night",
"amount_goal": 10000,
"amount_raised": 8000,
"amount_raised_formatted": "$8,000",
"url": "https://demo.crowdchange.dev/1/team/2",
"language": "en"
},
"fundraiser": {
"id": 1,
"name": "Gala Night",
"amount_goal": 10000,
"amount_raised": 8000,
"amount_raised_formatted": "$8,000",
"url": "https://demo.crowdchange.dev/1",
"language": "en",
"organization": {
"id": 1,
"name": "Crowdchange",
"custom_id": "CrowdchangeID"
}
},
"user": {
"id": 1,
"contact_email": "john@example.com",
"name": "John Snow",
"first_name": "John",
"last_name": "Snow",
"title": "Mr."
}
}
]
User-Specific APIs
Get Team's Personal Pages
Retrieve a paginated list of personal fundraising pages registered under the authenticated user’s team within a CrowdChange campaign.
GET
/
v2
/
private
/
user
/
fundraiser
/
{id}
/
team
/
{teamId}
/
personal-pages
Get Team's Personal Pages
Path parameters
integer
required
Campaign ID.
integer
required
Team ID.
Query parameters
string
required
User’s access token.
string
Search term.
integer
Page number. Default:
1integer
Number of results to return. Default:
10string
Key to sort by. Allowed values:
name, amount_raised, amount_goalstring
Direction of sorting. Allowed values:
asc, descstring
API’s locale. Allowed values:
en, frResponse
Returns an array of objects with the following fields.integer
Personal page ID.
string
Personal page name.
string
Personal page description
string
Personal page image ID
number
Goal amount.
number
Amount raised by the personal page.
string
Formatted amount raised by the personal page, includes currency symbol.
string
URL to personal page.
string
Personal page language. Allowed values:
en, frboolean
True if the image is default.
boolean
True if the description is default.
object
Team name that personal page belongs to (if assigned to a team).
object
Campaign that personal page belongs to.
Show properties
Show properties
integer
Campaign ID.
string
Campaign name.
number
Campaign’s goal amount.
number
Total amount raised by the campaign.
string
Formatted amount raised by the campaign, includes currency symbol.
string
URL to campaign’s page.
string
Campaign language. Allowed values:
en, frobject
| Status | Description |
|---|---|
400 | Bad Request |
403 | Forbidden |
[
{
"id": 1,
"name": "John Snow",
"description": "Personal page description",
"image": "1eaf5ab2-5d55-11ee-82ef-001c42584fa2",
"amount_goal": 1000,
"amount_raised": 550,
"amount_raised_formatted": "$550",
"url": "https://demo.crowdchange.dev/2/page/1",
"language": "en",
"is_default_image": false,
"is_default_description": false,
"images": {
"original": "https://img.crowdchange.co/files/abc.png?tr=w-[width],h-[height]"
},
"team": {
"id": 1,
"name": "Gala Night",
"amount_goal": 10000,
"amount_raised": 8000,
"amount_raised_formatted": "$8,000",
"url": "https://demo.crowdchange.dev/1/team/2",
"language": "en"
},
"fundraiser": {
"id": 1,
"name": "Gala Night",
"amount_goal": 10000,
"amount_raised": 8000,
"amount_raised_formatted": "$8,000",
"url": "https://demo.crowdchange.dev/1",
"language": "en",
"organization": {
"id": 1,
"name": "Crowdchange",
"custom_id": "CrowdchangeID"
}
},
"user": {
"id": 1,
"contact_email": "john@example.com",
"name": "John Snow",
"first_name": "John",
"last_name": "Snow",
"title": "Mr."
}
}
]
Was this page helpful?
⌘I